Bug 148264 - math/R: Error: segfault from C stack overflow
Summary: math/R: Error: segfault from C stack overflow
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-30 19:10 UTC by david
Modified: 2010-08-06 00:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david 2010-06-30 19:10:05 UTC
	Error in question ("Error: segfault from C stack overflow")
	appears to be associated with long "date" vectors, and is
	addressed in the R project's PR #14267, incorporated in R
	2.11.1, announcement of the release of which may be found at
	<http://article.gmane.org/gmane.comp.lang.r.general/191995>,
	dated 2010-05-31 09:16:36 GMT.

	I was running R 2.11.0_1.

Fix: 

It is believed that upgrading the port to R 2.11.1 will
	resolve this error.
How-To-Repeat: 	Ensure the existence of a suitable file to read; the one I use
	in the following example (/tmp/individual_allocations) has
	169199 lines:

	> I <- read.table("/tmp/individual_allocations", header = TRUE, colClasses = c("Date", "numeric", "numeric", "numeric", "numeric"))
	> png("/tmp/Space_Date.png", width = 700, height = 700)
	> Is <- subset(I, as.numeric(I$Tag) %% 7 == 6)
	> xlist <- as.numeric(unique(Is$Tag)) - as.numeric(min(Is$Tag))
	> boxplot( GB_total ~ Tag, data = Is, varwidth = TRUE, notch = TRUE, col = "lightblue", medcol = "darkblue", xlab = "Date", ylab = "Allocation size (GB)", main = "Local Disk Space Allocation Distributions by Date", at = (xlist/7), xlim = c(0, max(xlist/7 )))
	Error: segfault from C stack overflow
Comment 1 Edwin Groothuis freebsd_committer 2010-06-30 19:10:43 UTC
Maintainer of math/R,

Please note that PR ports/148264 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148264

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-30 19:10:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 david 2010-07-01 00:08:03 UTC
I believe this update may be of interest.

After applying the following patch:

diff -ru R/Makefile R/Makefile
--- R/Makefile	2010-05-31 05:31:45.000000000 -0700
+++ R/Makefile	2010-06-30 15:09:30.000000000 -0700
@@ -11,8 +11,7 @@
 .else
 PORTNAME=	R
 .endif
-PORTVERSION=	2.11.0
-PORTREVISION=	1
+PORTVERSION=	2.11.1
 CATEGORIES=	math lang
 MASTER_SITES=	http://cran.r-project.org/src/base/R-2/ \
 		ftp://cran.r-project.org/pub/R/src/base/R-2/ \
diff -ru R/distinfo R/distinfo
--- R/distinfo	2010-04-27 12:51:30.000000000 -0700
+++ R/distinfo	2010-06-30 15:12:30.000000000 -0700
@@ -1,3 +1,3 @@
-MD5 (R-2.11.0.tar.gz) = c6c1e866299f533617750889c729bfb3
-SHA256 (R-2.11.0.tar.gz) = 9b2a1769cdf21ad00500cbc0a1f7e09c872681d2ca0ea592e7692f15ff980a43
-SIZE (R-2.11.0.tar.gz) = 19779908
+MD5 (R-2.11.1.tar.gz) = 7421108ade3e9223263394b9bbe277ce
+SHA256 (R-2.11.1.tar.gz) = 48c1b96426f5b588763652b0b633cadccf410bae34300c22fd40524662bc23bb
+SIZE (R-2.11.1.tar.gz) = 19729300


and rebuilding math/R, using the just-built R 2.11.1 did, in fact, avoid
the "Error: segfault from C stack overflow" condition; I was able to
create all of the plots without incident.

There may be other issues with 2.11.1, or there may be issues with
environments other than FreeBSD/i386 stable/7; I have not tested that.
But the above patch does appear to be sufficient to update the port from
2.11.0_1 to 2.11.1, and the resulting executable and associated
libraries appear to work.

Peace,
david
-- 
David H. Wolfskill				david@catwhisker.org
Depriving a girl or boy of an opportunity for education is evil.

See http://www.catwhisker.org/~david/publickey.gpg for my public key.
Comment 4 b. f. 2010-07-02 02:46:45 UTC
On 6/30/10, David Wolfskill <david@catwhisker.org> wrote:
> First, thanks for maintaining the math/R port -- I find it very useful.
>
> Lately, I've been getting the rather infamous "Error: segfault from C
> stack overflow" message during attempts to plot large datasets with date
> vectors.
>
> Per <http://article.gmane.org/gmane.comp.lang.r.general/191995>, R
> 2.11.1 was released on 31 May 2010, and it is alleged to resolve the
> issue.
>
> I'm using R 2.11.0_1 -- I upgrade the ports installe don my laptop
> daily.
>
> Is there a problem that I might be able to help with for upgrading the
> port to 2.11.1?
>

I had meant to update the port earlier, when the bugfix release first
came out, but I was preoccupied by some other matters.  I will try to
submit an update soon.  I am glad that you find it useful, and I am
sorry that you have been -- er -- bugged by the problem with the
earlier release.

If you're updating all of your ports daily, and you're still using the
M-Tech 30W described on your website, you're a brave soul -- or a
patient one.


b.
Comment 5 Brendan Fabeny freebsd_committer 2010-07-08 18:02:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-07-31 16:05:34 UTC
bf          2010-07-31 15:05:25 UTC

  FreeBSD ports repository

  Modified files:
    math/R               Makefile distinfo 
  Log:
  Update to 2.11.1
  
  PR:             148264
  Prodded by:     David Wolfskill <david@catwhisker.org>
  Approved by:    makc (co-mentor)
  
  Revision  Changes    Path
  1.91      +1 -2      ports/math/R/Makefile
  1.43      +3 -3      ports/math/R/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Brendan Fabeny freebsd_committer 2010-08-06 00:08:43 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!